#!/usr/bin/python3
# -*- coding: utf-8 -*-
from daemonize import Daemonize
from libs import dw

from libs.vars import args

if __name__ == '__main__':
    daemon = Daemonize(app='pg_dw', pid=args.pid, action=dw.start, verbose=True,
                       user=args.daemonize_user, group=args.daemonize_group,
                       foreground=str.capitalize(args.daemonize) not in ('True', '1', 'Yes', 'Y'))
    daemon.start()
